<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        img{
            display: none;
        }
    </style>
</head>
<body>
    <div>
        <img id="uno" src="uno.PNG">
        <img id="dos" src="dos.PNG">
        <img id="tres" src="tres.PNG">
        <img id="cuatro" src="cuatro.PNG">
        <img id="cinco" src="cinco.PNG">
        <img id="seis" src="seis.PNG">
    </div>
    <button id="boton">Pulsa para dado</button>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $("#boton").click(function(){
                var foto = 1 + Math.floor(Math.random()*6);
                switch (foto) {
                    case 1:
                    $("img").css("display","none");
                    $("#uno").css("display","block");
                    alert(1)
                        break;
                    case 2:
                    $("img").css("display","none");
                    $("#dos").css("display","block");
                    alert(2)
                        break;
                    case 3:
                    $("img").css("display","none");
                    $("#tres").css("display","block");
                    alert(3)
                        break;
                    case 4:
                    $("img").css("display","none");
                    $("#cuatro").css("display","block");
                    alert(4)
                        break;
                    case 5:
                    $("img").css("display","none");
                    $("#cinco").css("display","block");
                    alert(5)
                        break;
                    case 6:
                    $("img").css("display","none");
                    $("#seis").css("display","block");
                    alert(6)
                        break;
                }                
            });

        })
    </script>
</body>
</html>